Subject: bug#43153: Add new command project-find-dir (and move binding of project-dired)

From: Dmitry Gutov <[email-masked]>
Date: Fri, 4 Sep 2020 01:57:59 +0300

On 01.09.2020 18:32, Stefan Kangas wrote:
> Dmitry Gutov <[email-masked]> writes:
> 
>> Would you like to try your hand at the patch?
> 
> A patch!?  I have written or two of them before, sure.
> I could take a gander.

Excellent. :-)

It should be straightforward. One moderately tricky issue is to how to 
generate a directory completion table from the return value of 
project-files (which returns only files, not directories).

Perhaps the simplest approach is to create a unique set of all parent 
directories of said files. It would omit empty directories, but oh well.

I'm not sure we want to create a new generic function (e.g. 
project-directories) just for that command, but it's also an option.